İçeriğe geç
Dokümantasyon
GeliştiricilerAPI başvurusuKonuşmalar

Mesajları listele

GET
/v1/public-api/conversations/{uuid}/messages

Kapsam: conversations:read. Konuşmanın mesajları ve iç notları, sayfalı.

Yetkilendirme

integrationKey
headerAuthorizationBearer <cf_sk_…>

Organizasyon API anahtarı (cf_sk_…). Organizasyon → API ve otomasyonlar → API anahtarları sayfasında oluşturulur; Authorization: Bearer cf_sk_… başlığıyla gönderilir.

Yol parametreleri

uuid*string
Formatuuid

Response Body

Başarılı

application/json
  1. response
success*boolean
data*unknown
meta?
Örnek istek
curl -X GET 'https://api.getclickfix.com/v1/public-api/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages'
Örnek yanıt
{  "success": true,  "data": {    "items": [      {        "uuid": "3c4d5e6f-7a8b-4c9d-8e0f-1a2b3c4d5e6f",        "conversation_uuid": "8f0e5c2a-6b1d-4f3a-9c7e-2d4b6a8c0e1f",        "direction": "outgoing",        "private": false,        "content": "Your order has shipped; the tracking number is in the next message.",        "sender": {          "type": "agent",          "name": "Mehmet Kaya"        },        "client_id": "6f1c0e3a-0d0b-4a4e-9a51-3c8b7d2f1e90",        "created_at": "2026-11-11T09:20:00Z"      }    ],    "total": 1,    "limit": 20,    "offset": 0  },  "meta": {    "request_id": "01JCK9ZQ3M8R2W7X5E4T1N0PAB"  }}